Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Plain View
Hadoop >> mail # general >> [VOTE] hadoop 0.23.6 rc1 release


+
Thomas Graves 2013-01-29, 14:29
+
Jonathan Eagles 2013-01-29, 20:29
+
Jason Lowe 2013-01-29, 17:51
+
Siddharth Seth 2013-02-06, 06:41
+
Hitesh Shah 2013-02-05, 16:04
+
Arun C Murthy 2013-02-05, 15:08
+
Thomas Graves 2013-02-05, 15:04
+
Daryn Sharp 2013-02-05, 16:06
+
Mahadev Konar 2013-02-05, 16:46
+
Chris Nauroth 2013-02-05, 18:40
+
Chris Nauroth 2013-02-05, 19:03
+
Thomas Graves 2013-02-05, 20:19
+
Karthik Kambatla 2013-02-05, 21:03
+
Chris Nauroth 2013-02-05, 21:19
+
Thomas Graves 2013-02-06, 01:38
Copy link to this message
-
Re: [VOTE] hadoop 0.23.6 rc1 release
+1 (non-binding) built from the source tarball on Ubuntu and ran a pi job

On Tue, Feb 5, 2013 at 5:38 PM, Thomas Graves <[EMAIL PROTECTED]> wrote:

> Thanks Chris, I'll filed a HDFS-4472 for the -cat issue but don't think
> its a blocker.
>
> Tom
>
> On 2/5/13 3:19 PM, "Chris Nauroth" <[EMAIL PROTECTED]> wrote:
>
> >I had not set hadoop.security.group.mapping in my config.  I was
> >inheriting
> >ShellBasedUnixGroupsMapping from core-default.xml.
> >
> >I'm wondering if this is something a bit different.  I only see the
> >problem
> >when running "hadoop fs -cat".  I haven't seen it from any other command.
> >
> >For further testing, I did try
> >setting JniBasedUnixGroupsMappingWithFallback in my config to see what
> >would happen.  When I do that, every command I run displays the warning.
> > Switching back to ShellBasedUnixGroupsMapping, the warning only appears
> >for "hadoop fs -cat" and no other commands.
> >
> >Thanks,
> >--Chris
> >
> >
> >On Tue, Feb 5, 2013 at 1:03 PM, Karthik Kambatla <[EMAIL PROTECTED]>
> >wrote:
> >
> >> +1 (non-binding)
> >>
> >> Download the src tar ball, ran pi and wordcount against it.
> >>
> >> On Tue, Feb 5, 2013 at 12:19 PM, Thomas Graves <[EMAIL PROTECTED]
> >> >wrote:
> >>
> >> > Do you have the following config set?
> >> >
> >> > <name>hadoop.security.group.mapping</name>
> >> >
> >>
> >><value>org.apache.hadoop.security.JniBasedUnixGroupsMappingWithFallback</
> >>va
> >> > lue>
> >> >
> >> > Setting that was the only way we could reproduce that warning.
> >> >
> >> > If that is the case the work around is simply change that back to
> >> > org.apache.hadoop.security.ShellBasedUnixGroupsMapping or have native
> >> > libraries so I don't think it would be a blocker. Unless others
> >>disagree.
> >> >
> >> > Thanks,
> >> > Tom
> >> >
> >> >
> >> >
> >> > On 2/5/13 12:40 PM, "Chris Nauroth" <[EMAIL PROTECTED]> wrote:
> >> >
> >> > >I'm testing the RC without the native libs, and I'm seeing warning
> >> output
> >> > >to stderr on some shell commands, similar to what is reported in
> >> > >HDFS-4427.
> >> > > (See example below.)  Is this a known issue for the release?
> >> > >
> >> > >Thanks,
> >> > >--Chris
> >> > >
> >> > >[cnauroth@ubuntu:pts/0] hadoop-0.23.6
> >> > >
> >> > >> bin/hadoop fs -cat /hello1
> >> > >13/02/05 10:38:20 WARN util.NativeCodeLoader: Unable to load
> >> native-hadoop
> >> > >library for your platform... using builtin-java classes where
> >>applicable
> >> > >hello
> >> > >
> >> > >
> >> > >On Tue, Feb 5, 2013 at 8:46 AM, Mahadev Konar <[EMAIL PROTECTED]>
> >> wrote:
> >> > >
> >> > >> +1 for release. Ran a few sample jobs. (binding).
> >> > >>
> >> > >> mahadev
> >> > >>
> >> > >> On Tue, Feb 5, 2013 at 8:06 AM, Daryn Sharp <[EMAIL PROTECTED]>
> >> > wrote:
> >> > >> > +1 (non-binding)
> >> > >> >
> >> > >> > Built from source and successfully ran jobs on a secure cluster.
> >> > >> >
> >> > >> > Daryn
> >> > >> >
> >> > >> > On Feb 5, 2013, at 9:04 AM, Thomas Graves wrote:
> >> > >> >
> >> > >> >> This vote is supposed to end today.  Please take a look and
> >>vote.
> >> > >> >>
> >> > >> >> Thanks,
> >> > >> >> Tom
> >> > >> >>
> >> > >> >> On 1/29/13 8:29 AM, "Thomas Graves" <[EMAIL PROTECTED]>
> >>wrote:
> >> > >> >>
> >> > >> >>> I've created another release candidate (RC1) for hadoop-0.23.6
> >> that
> >> > >>I
> >> > >> >>> would like
> >> > >> >>> to release.
> >> > >> >>>
> >> > >> >>> This release is a sustaining release with several important bug
> >> > >>fixes
> >> > >> in
> >> > >> >>> it. It also contains fixes for the issues found in rc0 -
> >>YARN-354,
> >> > >> >>> HDFS-4426, and HADOOP-9255
> >> > >> >>>
> >> > >> >>> The RC is available at:
> >> > >> >>> http://people.apache.org/~tgraves/hadoop-0.23.6-candidate-1/
> >> > >> >>> The RC tag in svn is here:
> >> > >> >>>
> >> http://svn.apache.org/viewvc/hadoop/common/tags/release-0.23.6-rc1/
> >> > >> >>>
> >> > >> >>> The maven artifacts are available via repository.apache.org.
+
Robert Evans 2013-02-05, 15:19
+
Thomas Graves 2013-02-06, 16:31
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB